#{extends 'borderNG.html' /}
#{set 'titleHead'} Daftar Paket Lainnya #{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'paket.home'}</a></li>
	<li class="active">&{'paket.daftar_paket_non_spk'}</li>
</ol>
<div class="content">
<form id="formFilter">
    <table class="table table-sm table-bordered">
     </table>
</form>
#{alert /}
<table class="table table-sm" id="tblLelang">
    <thead>
    <tr>
    	<th width="20" nowrap>&{'paket.kode'}</th>
        <th>&{'paket.nama_paket'}</th>
        <th width="15%">&{'paket.status'}</th>
        <th width="15%">&{'paket.tanggal_buat'}</th>
        <th width="25%">&{'paket.satuan_kerja'}</th>
        <th width="40"> </th>
    </tr>
    </thead>
</table>
<a class="btn btn-success" href="@{nonlelang.PaketPlCtr.rencana_pl()}">&{'paket.buat_paket'}</a>
   <div class="bs-callout bs-callout-warning">
    	&{'paket.paket_nonspk_dimulai'}
    </div>
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var editPaket  = #{jsRoute @nonlelang.PaketPlCtr.edit(':id') /};
var viewPL = #{jsRoute @nonlelang.PengadaanLCtr.view(':id') /};
var editPL = #{jsRoute @nonlelang.PengadaanLCtr.edit(':id') /};
var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
$(document).ready(function() {
    var table = $("#tblLelang").DataTable({
            language: {
                searchPlaceholder: "&{'beranda.tender_kode'}",
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data",
            },
            order: [[ 0, "desc"]],
            ajax: "@{DataTableCtr.paketLainnya(ppId, status)}",
            columns: [{visible:false, render: function(data, type, row) {
            	var paketId = row[0];
                var id = row[5];
                var paket = row[1];
                var status = row[2];
                var lelangTipe = row[7];
                var flag = row[6] == '2'? 'spse4':'';
    		    var highlight = row[6] == '2'? 'badge-danger':'badge-success';
                var action = '';
                if(row[6] == '2') {
                    action = '<a href="'+editPL.url({id:id})+'"><span class="badge  badge-primary">Buat PL</span></a>'
                }
                if (status == 'Paket Sedang Berjalan' || status == 'Paket Diulang' || status == 'Paket Sudah Selesai') {
                    action += '<a href="'+viewPL.url({id:id})+'"><span class="badge  badge-warning">View PL</span></a>'
                }
           	    row[2] = '<a target="_blank"  href="'+viewTahap.url({id:id})+'">'+row[2]+'</a>'
                row[5] = action
                return row[1] = '<a href="'+editPaket.url({id:paketId})+'">'+ paket +'</a>&nbsp;<span class="badge  badge-info">'+lelangTipe+'</span>'+'&nbsp;<span class="badge '+highlight+'">'+flag+'</span>';
    	}},null,null, null,{searchable: true},{orderable:false}
    ],
    });
} );
</script>
#{/set}